Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface PublishControl

    public interface PublishControl

Nested Class Summary
`static interface` | `PublishControl.ClassPublish` Defines class level attributes for the Publish control
`static interface` | `PublishControl.MethodPublish` Defines method level attributes for the Publish control

Method Summary
`com.bea.wli.control.dynamicProperties.PublishControlPropertiesDocument` | `getProperties()` Sets the dynamic properties for the control
`String` | `getQueueConnFactory()` Returns queue connection factory jndiName or null if not specified
`void` | `setOutputHeaders(Element[] headers)` Temporarily sets the message headers to use in the next publish operation
`void` | `setProperties(com.bea.wli.control.dynamicProperties.PublishControlPropertiesDocument props)` Sets the dynamic properties for the control
`void` | `setQueueConnFactory(String jndiName)` Sets the queue connection factory for the control

Method Detail

### setOutputHeaders

    void setOutputHeaders(Element[] headers)

  Temporarily sets the message headers to use in the next publish operation

  Parameters:
    `headers` - headers to set

### setProperties

    void setProperties(com.bea.wli.control.dynamicProperties.PublishControlPropertiesDocument props)

  Sets the dynamic properties for the control

  Parameters:
    `props` - the dynamic properties for the control

### getProperties

    com.bea.wli.control.dynamicProperties.PublishControlPropertiesDocument getProperties()

  Sets the dynamic properties for the control

  Returns:
    the current properties for the control

### setQueueConnFactory

    void setQueueConnFactory(String jndiName)

  Sets the queue connection factory for the control

  Parameters:
    `jndiName` -

### getQueueConnFactory

    String getQueueConnFactory()

  Returns queue connection factory jndiName or null if not specified

  Returns:
    jndiName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD